cards_index:
  path: /v1/cards/{page}/{limit}
  controller: App\Controller\CardController::index
  methods: GET
  defaults:
    operation: cards_list
    access: cards_list_access

cards_show:
  path: /v1/cards/{token}
  controller: App\Controller\CardController::show
  methods: GET
  defaults:
    operation: card_details
    access: card_details_access


cards_create:
  path: /v1/cards
  controller: App\Controller\CardController::create
  methods: POST
  defaults:
    operation: card_new
    access: card_create_access

cards_update:
  path: /v1/cards/{token}
  controller: App\Controller\CardController::update
  methods: PUT
  defaults:
    operation: card_update
    access: card_update_access

cards_create_internal:
  path: /internal/cards
  controller: App\Controller\CardController::create
  methods: POST
  defaults:
    operation: card_new
    access: card_create_access

cards_internal:
  path: /internal/cards/{token}/details
  controller: App\Controller\CardController::details
  methods: GET
  defaults:
    operation: card_internal_details
    access: card_internal_details

cards_delete:
  path: /v1/cards/{token}
  controller: App\Controller\CardController::delete
  methods: DELETE
  defaults:
    operation: card_delete
    access: card_delete